---
title: "Pure CSS-Icons für mein Gitea-Theme"
author: ""
date: 2020-10-05T12:14:51+02:00
categories: 
  - gitea-theme
tags: 
  - webdesign
  - code

draft: false
description: "Ich habe meinem Gitea-Theme zwei Icons hinzugefügt, die ich in purem CSS geschrieben habe."
---

**Update (28.02.2021):** Der Code wird wegen Änderungen an Gitea nicht länger verwendet.

Ich arbeite an meinem Gitea-Theme und habe gerade zwei alternative `$keinjavascript` Icons in purem CSS hinzugefügt. :)

![Das Gitea-Repository mit den geänderten Verzeichnis- und Datei-Icons](2020-10-05_pure-css-icons-2.jpg)

# Der Code

```scss
.svg {
  &.octicon-file-directory, 
  &.octicon-file-submodule {
    fill: rgb(255, 130, 130);
    @if $nojavascript == true {
      background: rgb(255, 130, 130);
      border-radius: 0 1px 2px 2px;
      box-shadow: -4px -7px 0px -4px rgb(255, 130, 130);
      height: 10px;
      margin-left: 5px !important;
      margin-top: 4px;
      width: 14px;
    }
  }
  &.octicon-file {
    fill: rgb(215, 215, 225);
    @if $nojavascript == true {
      border: 1px solid rgb(215, 215, 225);
      border-radius: 0 5px 0 0;
      height: 13px;
      margin-left: 7px !important;
      margin-right: 6px !important;
      width: 10px;
    }
  }
}
```

~~Eine Live-Version kann auf [code.cozy.town](https://code.cozy.town/vrifox/gitea-theme) betrachtet werden.~~
